local Recipe = GLOBAL.Recipe
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local TECH = GLOBAL.TECH

PrefabFiles = {
	"asparagus_ag",
	"asparagus_ag_cooked",
	"asparagus_ag_seeds",
	"bacon_asparagus_ag",
	"cacao",
	"cacao_tree",
	"chocolate",
	"chocolate_milk",
	"choco_icecream",
	"choco_cookies",
	"coffee",
	"coffeebeans",
	"coffeebush",
	"dug_cofeecactus",
}
Assets =
{
	Asset("ATLAS", "images/inventoryimages/cacao_tree.xml"),
	Asset("ATLAS", "images/inventoryimages/volcanoinventory.xml"),
	Asset("IMAGE", "images/inventoryimages/volcanoinventory.tex"),
	Asset("ATLAS", "images/inventoryimages/dug_coffeebush.xml"),
	Asset("IMAGE", "images/inventoryimages/dug_coffeebush.tex"),
}

if GetModConfigData("Renewable") == true then
	local dug_coffeebush = AddRecipe("dug_coffeebush",
			{
				Ingredient("dragon_scales", 1),
				Ingredient("ash", 8),
				Ingredient("twiggy_nut", 8),
			},
		RECIPETABS.REFINE,TECH.MAGIC_THREE, nil, nil, nil, 8)
		dug_coffeebush.atlas = "images/inventoryimages/dug_coffeebush.xml"
else
	local dug_coffeebush = AddRecipe("dug_coffeebush",
		{
			Ingredient("dragon_scales", 1),
			Ingredient("ash", 8),
			Ingredient("twiggy_nut", 8),
		},
	RECIPETABS.REFINE,TECH.LOST, nil, nil, nil, 8)
	dug_coffeebush.atlas = "images/inventoryimages/dug_coffeebush.xml"
end

AddMinimapAtlas("images/inventoryimages/cacao_tree.xml")
-- debug speed
-- GLOBAL.TUNING.SEEDS_GROW_TIME = 5

-- Tweaks
modimport "scripts/tweaks/plant_normal_tweak"

local bacon_asparagus_recipe = GLOBAL.require("tweaks/bacon_asparagus_recipe")
AddCookerRecipe("cookpot", bacon_asparagus_recipe)
AddIngredientValues({"asparagus_ag"}, {veggie=1}, true)
AddIngredientValues({"cacao_cooked"}, {cacao_cooked=1}, true)
AddIngredientValues({"coffeebeans_cooked"}, {fruit=1}, true, false)
modimport("cacao_ini.lua")
modimport("coffee_ini.lua")
-- Actions
modimport "scripts/actions/actions"

-- States
modimport "scripts/stategraphs/share_states"
